#!/usr/bin/perl -I/usr/sausalito/perl
#
# $Id: vz_vserver_backup_extend.pl
#
# If you want to perform any special actions after a local or remote RSYNC backup, then put
# them into this script. It will be executed once all local and remote RSYNC backups are done.

#
## Script enabler:
#

# Set this to "1" to enable this script:
$enabled = "0";

#
### Set this accordingly to your environment:
#

# Local source from which we fetch the data:
$localsource = "/vz/backup";

# Local target to which we copy the data:
$localtarget = "/samba/backup";

# Split Archives into multiple parts? Default: 1
$split = "1";

# Archive size. Default: 1000m (1 Gig)
$split_size = "1000m";

#
### No configureable options below:
#

use CCE;
use POSIX qw(isalpha);
use Socket;
use Sys::Hostname;
use File::Spec;

my $cce = new CCE;
$cce->connectuds();

$oid = $cce->event_oid();
$obj = $cce->event_object();

$host = hostname();
$addr = inet_ntoa(scalar(gethostbyname($host)) || 'localhost');
$now = localtime time;

# Remove stale lockfiles if it is older than 120 minutes:
if (-f "/tmp/vz_vserver_backup_extend.lock") {
        system("find /tmp/vz_vserver_backup_extend.lock -type f -cmin +120 -print | xargs rm >/dev/null 2>&1");
}

# Only run this script if it's been set to enabled:
if ($enabled != "1") {
        exit 0;
}

# Create lockfile:
system("/bin/touch /tmp/vz_vserver_backup_extend.lock");

###
### ### Put your custom code below.
###



###
### ### Put your custom code above.
###

# Remove lockfile:
system("/bin/rm -f /tmp/vz_vserver_backup_extend.lock");

exit 0;

# 
# Copyright (c) 2015 Michael Stauber, SOLARSPEED.NET
# All Rights Reserved.
# 
# 1. Redistributions of source code must retain the above copyright 
#     notice, this list of conditions and the following disclaimer.
# 
# 2. Redistributions in binary form must reproduce the above copyright 
#     notice, this list of conditions and the following disclaimer in 
#     the documentation and/or other materials provided with the 
#     distribution.
# 
# 3. Neither the name of the copyright holder nor the names of its 
#     contributors may be used to endorse or promote products derived 
#     from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
# POSSIBILITY OF SUCH DAMAGE.
# 
# You acknowledge that this software is not designed or intended for 
# use in the design, construction, operation or maintenance of any 
# nuclear facility.
# 